package sudoku;

import sudoku.core.Console;

public class ContrainteColonne implements Contrainte {
    @Override
    public boolean estRespectee(Grille grille, Case c) {
        int colonne = c.getColonne();
        Symbole symbole = c.getSymbole();
        for (int ligne = 0; ligne < grille.getTaille(); ligne++) {
            Case currentCase = grille.getCase(ligne, colonne);
            if (currentCase != c && currentCase.getSymbole() != null && currentCase.getSymbole().equals(symbole)) {
                Console.errorln("La contrainte de colonne n'est pas respectee: ligne=" + ligne + ", col=" + colonne + ", symbole=" + symbole);
                return false;
            }
        }
        return true;
    }
}